LibreOffice: LocaleData Service Reference

LibreOffice LibreOffice 7.3 SDK API Reference

List of all members
LocaleData Service Referencepublished

Access locale specific data. More...

`import"LocaleData.idl";`

Inheritance diagram for LocaleData:

## Additional Inherited Members
Public Member Functions inherited from XLocaleData4
sequence< string > | getDateAcceptancePatterns ([in] com::sun::star::lang::Locale aLocale)
| returns a sequence of date acceptance patterns for a locale More...
Public Member Functions inherited from XLocaleData3
sequence< Calendar2 > | getAllCalendars2 ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_CALENDAR calendars for a locale. More...
Public Member Functions inherited from XLocaleData2
sequence< Currency2 > | getAllCurrencies2 ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_CURRENCY currencies for a locale. More...
Public Member Functions inherited from XLocaleData
LanguageCountryInfo | getLanguageCountryInfo ([in] com::sun::star::lang::Locale aLocale)
| returns the LC_INFO locale information. More...
LocaleDataItem | getLocaleItem ([in] com::sun::star::lang::Locale aLocale)
| returns LC_CTYPE separators and markers. More...
sequence< Calendar > | getAllCalendars ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_CALENDAR calendars for a locale. More...
sequence< Currency > | getAllCurrencies ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_CURRENCY currencies for a locale. More...
sequence< FormatElement > | getAllFormats ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_FORMAT format elements for a locale. More...
sequence< Implementation > | getCollatorImplementations ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_COLLATION collators for a locale. More...
sequence< string > | getSearchOptions ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_SEARCH search options for a locale. More...
sequence< string > | getCollationOptions ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_COLLATION collation options for a locale. More...
sequence< string > | getTransliterations ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_TRANSLITERATION transliterations for a locale. More...
ForbiddenCharacters | getForbiddenCharacters ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_MISC forbidden characters for a locale. More...
sequence< string > | getReservedWord ([in] com::sun::star::lang::Locale aLocale)
| returns all LC_MISC reserved words for a locale. More...
sequence< com::sun::star::lang::Locale > | getAllInstalledLocaleNames ()
| returns all available locales. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Access locale specific data.

The documentation for this service was generated from the following file:

- com/sun/star/i18n/LocaleData.idl